Bug 507260 - Review Request: wordpress-mu-plugin-defaults - WordPress MU Plugin to set new blog default settings
Review Request: wordpress-mu-plugin-defaults - WordPress MU Plugin to set new...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 21:55 EDT by Nick Bebout
Modified: 2009-07-03 15:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.2.3-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:46:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nick Bebout 2009-06-21 21:55:44 EDT
Spec URL: http://nb.fedorapeople.org/wordpress-mu-plugin-defaults.spec
SRPM URL: http://nb.fedorapeople.org/wordpress-mu-plugin-defaults-1.2.3-1.fc11.src.rpm
Description: 
This package allows you to set various defaults to automatically apply to new blogs, such as the default theme, etc.

This package is built for use with WordPress MU (wordpress-mu), not regular
WordPress.

This is not found from wordpress.org so I did not follow the normal wordpress packaging guidelines regarding the name.  I spoke to Ian Weller (the author of those guidelines) on IRC and he said just to make a comment in the spec file.
Comment 1 Nick Bebout 2009-06-21 22:31:14 EDT
This is my first request and I am looking for a sponsor.
Comment 2 Nick Bebout 2009-06-25 13:27:46 EDT
Koji scratch build is here:

https://koji.fedoraproject.org/koji/taskinfo?taskID=1428746

My FAS username is nb
Comment 3 Ian Weller 2009-07-01 13:24:24 EDT
I still can't sponsor you but Toshio will on my recommendation, he says, so I guess I'll assign this to me.

- Check your %description, it's a bit messy.

Everything else looks good to me, and rpmlint is quiet. Full review after you fix the description.
Comment 5 Ian Weller 2009-07-01 20:22:00 EDT
== FULL REVIEW ==

[  OK  ] specfiles match:
    603f646439e75ee959296cb4ec71b153  wordpress-mu-plugin-defaults.spec
    603f646439e75ee959296cb4ec71b153  wordpress-mu-plugin-defaults.spec.1
[  OK  ] source files match upstream:
    b0ecafbc0ccdf226046474aab0d7f7a7  503434057_cets_new_blog_defaults.zip
    b0ecafbc0ccdf226046474aab0d7f7a7  503434057_cets_new_blog_defaults.zip.1
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[  N/A ] license text included in package.
    License text not provided so not necessary to be in %doc
[  OK  ] latest version is being packaged.
[  N/A ] BuildRequires are proper.
[  N/A ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  N/A ] debuginfo package looks complete.
[FAILED] rpmlint is silent. 
    wordpress-mu-plugin-defaults.noarch: W: incoherent-version-in-changelog 1.2.3-1 ['1.2.3-2.fc11', '1.2.3-2']
    You need to add a changelog entry for each update (including the 
    fix-the-description update). Add a changelog entry that you fixed the
    changelog as well and bump it for me to approve this package.
[  OK  ] final provides and requires are sane 
[  N/A ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates.
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  N/A ] scriptlets match those on ScriptletSnippets page. 
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files. 
[  OK  ] no libtool .la droppings.
[  OK  ] desktop files valid and installed properly.

Not approved, see above
Comment 7 Ian Weller 2009-07-01 20:38:47 EDT
It does.

========================================================================
  This package (wordpress-mu-plugin-defaults) is APPROVED by ianweller
========================================================================

(now we wait for toshio to sponsor you)
Comment 8 Nick Bebout 2009-07-01 20:47:07 EDT
New Package CVS Request
=======================
Package Name: wordpress-mu-plugin-defaults
Short Description: Enables default settings for wordpress-mu blogs
Owners: nb
Branches: F-10 F-11 EL-5
InitialCC: nb
Comment 9 Kevin Fenzi 2009-07-02 01:01:41 EDT
cvs done.
Comment 10 Fedora Update System 2009-07-02 01:40:21 EDT
wordpress-mu-plugin-defaults-1.2.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wordpress-mu-plugin-defaults-1.2.3-3.fc11
Comment 11 Fedora Update System 2009-07-02 01:40:26 EDT
wordpress-mu-plugin-defaults-1.2.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wordpress-mu-plugin-defaults-1.2.3-3.fc10
Comment 12 Fedora Update System 2009-07-03 15:46:19 EDT
wordpress-mu-plugin-defaults-1.2.3-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-03 15:50:00 EDT
wordpress-mu-plugin-defaults-1.2.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.